#include <mcolor.h>
#include <jlog/io.hpp>
#include <fstream>
#include <iostream>
#include <chrono>

namespace jlog
{
    void log_to_console(const std::string& message)
    {
#ifdef WIN32
        mcolor::windowsSaneify();
#endif
        std::cout << message;
    }

    void log_to_file(const std::string& filename, const std::string& message)
    {
        std::ofstream latest_log(filename, std::ios_base::app);
        latest_log << message;
        latest_log.close();
    }
}